[arch-commits] CVS update of arch/build/multimedia/alsa-lib (PKGBUILD python2.5.patch)

Tobias Powalowski tpowa at archlinux.org
Tue Aug 21 11:58:35 EDT 2007


    Date: Tuesday, August 21, 2007 @ 11:58:35
  Author: tpowa
    Path: /home/cvs-arch/arch/build/multimedia/alsa-lib

   Added: python2.5.patch (1.1)
Modified: PKGBUILD (1.45 -> 1.46)

'upgpgk: update to new alsa snapshot'


-----------------+
 PKGBUILD        |   16 ++++++++++------
 python2.5.patch |   11 +++++++++++
 2 files changed, 21 insertions(+), 6 deletions(-)


Index: arch/build/multimedia/alsa-lib/PKGBUILD
diff -u arch/build/multimedia/alsa-lib/PKGBUILD:1.45 arch/build/multimedia/alsa-lib/PKGBUILD:1.46
--- arch/build/multimedia/alsa-lib/PKGBUILD:1.45	Thu Jul 26 14:17:41 2007
+++ arch/build/multimedia/alsa-lib/PKGBUILD	Tue Aug 21 11:58:35 2007
@@ -1,25 +1,29 @@
-# $Id: PKGBUILD,v 1.45 2007/07/26 18:17:41 thomas Exp $
+# $Id: PKGBUILD,v 1.46 2007/08/21 15:58:35 tpowa Exp $
 # Maintainer: judd <jvinet at zeroflux.org>
 
 pkgname=alsa-lib
 pkgver=1.0.14
-pkgrel=4
+pkgrel=5
 pkgdesc="An alternative implementation of Linux sound support"
 arch=(i686 x86_64)
 url="http://www.alsa-project.org"
 depends=('glibc')
+makedepends=('python')
 license=('GPL')
 options=(!libtool)
 source=(ftp://ftp.alsa-project.org/pub/lib/$pkgname-1.0.14a.tar.bz2
-	http://www.archlinux.org/~tpowa/alsa-patches/alsa-lib-20070706.patch.bz2)
-md5sums=('72dc63821ce33f2b97a151a909b06ff8'
-         '08e9d7b699654734c993b0d6cf0b0759')
+	http://www.archlinux.org/~tpowa/alsa-patches/alsa-lib-20070816.patch.bz2
+	python2.5.patch)
 
 build() {
   cd $startdir/src/$pkgname-1.0.14a
-  patch -Np1 -i ../alsa-lib-20070706.patch || return 1
+  patch -Np1 -i ../alsa-lib-20070816.patch || return 1
+  patch -Np0 -i ../python2.5.patch || return 1
   ./configure --prefix=/usr
   make || return 1
   make DESTDIR=$startdir/pkg install
 }
 
+md5sums=('72dc63821ce33f2b97a151a909b06ff8'
+         'e303a57fdabe837d78ca44fb6587d992'
+         'b3575c90923ac0b81ab99ed9e4f65c22')
Index: arch/build/multimedia/alsa-lib/python2.5.patch
diff -u /dev/null arch/build/multimedia/alsa-lib/python2.5.patch:1.1
--- /dev/null	Tue Aug 21 11:58:35 2007
+++ arch/build/multimedia/alsa-lib/python2.5.patch	Tue Aug 21 11:58:35 2007
@@ -0,0 +1,11 @@
+--- modules/mixer/simple/python.c~	2007-08-21 17:21:28.000000000 +0200
++++ modules/mixer/simple/python.c	2007-08-21 17:26:39.000000000 +0200
+@@ -23,7 +23,7 @@
+ #include "config.h"
+ #include "asoundlib.h"
+ #include "mixer_abst.h"
+-#include <python/Python.h>
++#include <python2.5/Python.h>
+ 
+ struct python_priv {
+ 	int py_initialized;




More information about the arch-commits mailing list